/* ['Common headers' begin (DON'T REMOVE THIS LINE!)] */
#include <stdio.h>
#include <stdlib.h>
/* ['Common headers' end (DON'T REMOVE THIS LINE!)] */
#include "../DRE.h"
#include "../extra_DRE.h"

extern t_dre dre;
extern t_diag diag;
extern t_extra_DRE edre;

/* ['Common declarations for 'Code items generator'' begin (DON'T REMOVE THIS LINE!)] */
/* Generic code items' declarations */
extern BOOL DO_STATUS_LED;
extern t_dbgledblinktimer dbgLedBlinkTimer;
extern t_dbg_led DBG_LED;
extern BOOL ResetRelay;
extern BOOL LCD_DB7;
extern BOOL LCD_DB6;
extern BOOL LCD_DB5;
extern BOOL LCD_DB4;
extern BOOL LCD_DB3;
extern BOOL LCD_DB2;
extern BOOL LCD_DB1;
extern BOOL LCD_DB0;
extern t_int_fs INT_FS;
extern t_int_fc INT_FC;
extern t_int_hs INT_HS;
extern t_int_hc INT_HC;
extern t_systemdate_w SystemDate_W;
extern t_systemtime_w SystemTime_W;
extern t_peakfactor PeakFactor;
extern t_plateaufactor PlateauFactor;
extern t_peepfactor PeepFactor;
extern t_frequencyfactor FrequencyFactor;
extern t_tidalvolumenfactor TidalVolumenFactor;
extern t_minimumvolumefactor MinimumVolumeFactor;
extern t_triggerfactor TriggerFactor;
extern t_batteryleveltrigger BatteryLevelTrigger;
extern t_patienttype PatientType;
extern t_patientweight PatientWeight;
extern t_patientheight PatientHeight;
extern t_tidalvolume TidalVolume;
extern t_pidmode PIDMode;
extern t_pidstate PIDState;
extern t_piderrorbits PIDErrorBits;
extern t_alarms Alarms;
extern t_status Status;
extern t_power_startmode POWER_StartMode;
extern t_power_stopmode POWER_StopMode;
extern t_home_mode HOME_Mode;
extern BOOL SetWriteData;
extern BOOL SetTime;
extern BOOL Trigger;
extern BOOL PeakPBPlus;
extern BOOL PeakPBMinus;
extern BOOL PeepPBPlus;
extern BOOL PeepPBMinus;
extern BOOL FrPBPlus;
extern BOOL FrPBMinus;
extern BOOL RecruitmentOn;
extern BOOL RecruitmentOff;
extern BOOL RecruitmentMem;
extern BOOL RecruitmentRunning;
extern BOOL RecruitmentEnding;
extern BOOL RecruitmentEnd;
extern BOOL ErrorAck;
extern BOOL Reset;
extern BOOL PIDError;
extern BOOL PeakDisplayPreAlarmHI;
extern BOOL PeakDisplayAlarmHI;
extern BOOL PeakDisplayPreAlarmLOW;
extern BOOL PeakDisplayAlarmLOW;
extern BOOL PeakInterlockPreAlarmHI;
extern BOOL PeakInterlockAlarmHI;
extern BOOL PeakInterlockPreAlarmLOW;
extern BOOL PeakInterlockAlarmLOW;
extern BOOL PlateauDisplayPreAlarmHI;
extern BOOL PlateauDisplayAlarmHI;
extern BOOL PlateauDisplayPreAlarmLOW;
extern BOOL PlateauDisplayAlarmLOW;
extern BOOL PlateauInterlockPreAlarmHI;
extern BOOL PlateauInterlockAlarmHI;
extern BOOL PlateauInterlockPreAlarmLOW;
extern BOOL PlateauInterlockAlarmLOW;
extern BOOL PeepDisplayPreAlarmHI;
extern BOOL PeepDisplayAlarmHI;
extern BOOL PeepDisplayPreAlarmLOW;
extern BOOL PeepDisplayAlarmLOW;
extern BOOL PeepInterlockPreAlarmHI;
extern BOOL PeepInterlockAlarmHI;
extern BOOL PeepInterlockPreAlarmLOW;
extern BOOL PeepInterlockAlarmLOW;
extern BOOL FrequencyDisplayPreAlarmHI;
extern BOOL FrequencyDisplayAlarmHI;
extern BOOL FrequencyDisplayPreAlarmLOW;
extern BOOL FrequencyDisplayAlarmLOW;
extern BOOL FrequencyInterlockPreAlarmHI;
extern BOOL FrequencyInterlockAlarmHI;
extern BOOL FrequencyInterlockPreAlarmLOW;
extern BOOL FrequencyInterlockAlarmLOW;
extern BOOL TidalVolumeDisplayPreAlarmHI;
extern BOOL TidalVolumeDisplayAlarmHI;
extern BOOL TidalVolumeDisplayPreAlarmLOW;
extern BOOL TidalVolumeDisplayAlarmLOW;
extern BOOL TidalVolumeInterlockPreAlarmHI;
extern BOOL TidalVolumeInterlockAlarmHI;
extern BOOL TidalVolumeInterlockPreAlarmLOW;
extern BOOL TidalVolumeInterlockAlarmLOW;
extern BOOL MinuteVolumeDisplayPreAlarmHI;
extern BOOL MinuteVolumeDisplayAlarmHI;
extern BOOL MinuteVolumeDisplayPreAlarmLOW;
extern BOOL MinuteVolumeDisplayAlarmLOW;
extern BOOL MinuteVolumeInterlockPreAlarmHI;
extern BOOL MinuteVolumeInterlockAlarmHI;
extern BOOL MinuteVolumeInterlockPreAlarmLOW;
extern BOOL MinuteVolumeInterlockAlarmLOW;
extern BOOL TriggerDisplayPreAlarmHI;
extern BOOL TriggerDisplayAlarmHI;
extern BOOL TriggerDisplayPreAlarmLOW;
extern BOOL TriggerDisplayAlarmLOW;
extern BOOL TriggerInterlockPreAlarmHI;
extern BOOL TriggerInterlockAlarmHI;
extern BOOL TriggerInterlockPreAlarmLOW;
extern BOOL TriggerInterlockAlarmLOW;
extern BOOL BatteryDisplayPreAlarmHI;
extern BOOL BatteryDisplayAlarmHI;
extern BOOL BatteryDisplayPreAlarmLOW;
extern BOOL BatteryDisplayAlarmLOW;
extern BOOL BatteryInterlockPreAlarmHI;
extern BOOL BatteryInterlockAlarmHI;
extern BOOL BatteryInterlockPreAlarmLOW;
extern BOOL BatteryInterlockAlarmLOW;
extern BOOL Enable;
extern BOOL Busy;
extern BOOL POWER_Enable;
extern BOOL POWER_Status;
extern BOOL POWER_Error;
extern BOOL RESET_Execute;
extern BOOL RESET_Done;
extern BOOL RESET_Error;
extern BOOL HOME_Execute;
extern BOOL HOME_Done;
extern BOOL HOME_Error;
extern BOOL HALT_Execute;
extern BOOL HALT_Done;
extern BOOL HALT_Error;
extern BOOL ABSOLUTE_Execute;
extern BOOL ABSOLUTE_Done;
extern BOOL ABSOLUTE_Error;
extern BOOL RELATIVE_Execute;
extern BOOL RELATIVE_Done;
extern BOOL RELATIVE_Error;
extern BOOL Velocity_Execute;
extern BOOL Velocity_Current;
extern BOOL Velocity_invelocity;
extern BOOL Velocity_Error;
extern BOOL JOG_Forward;
extern BOOL JOG_Backward;
extern BOOL JOG_Invelocity;
extern BOOL JOG_Error;
extern BOOL Permissions;
extern BOOL Operation_ON;
extern BOOL Emergency;
extern BOOL GeneralAck;
extern BOOL MotorAck;
extern BOOL ProcessAck;
extern BOOL GeneralReset;
extern BOOL MotorReset;
extern BOOL ProcessReset;
extern UI_16 PeakValue;
extern UI_16 PlateauValue;
extern UI_16 PeepValue;
extern UI_16 FrequencyValue;
extern UI_16 TidalVolumeValue;
extern UI_16 MinumValue;
extern UI_16 DrivingPreassure;
extern UI_16 BatteryVoltage;
extern UI_16 BatteryCapacity;
extern UI_16 Pressure1;
extern UI_16 Pressure2;
extern UI_16 VomumeAccumulated;
extern UI_16 Flow;
extern UI_16 SystemDateRetVal;
extern t_datetime SystemDateOut;
extern UI_16 LocalDateRetVal;
extern t_datetime LocalDateOut;
extern t_datetime WriteDateTime;
extern t_datetime WriteDateOut;
extern t_datetime StatuSetTime;
extern UI_16 PeakMax;
extern UI_16 PeakSetpoint;
extern UI_16 PeakMin;
extern UI_16 PlateauMax;
extern UI_16 PlateauSetpoint;
extern UI_16 PlateauMin;
extern UI_16 PeepMax;
extern UI_16 PeepSetpoint;
extern UI_16 PeepMin;
extern UI_16 FrequencyMax;
extern UI_16 FrequencySetpoint;
extern UI_16 FrequencyMin;
extern UI_16 TidalVolumenMax;
extern UI_16 TidalVolumenSetpoint;
extern UI_16 TidalVolumenMin;
extern UI_16 MinimumVolumeMax;
extern UI_16 MinimumVolumeSetpoint;
extern UI_16 MinimumVolumeMin;
extern UI_16 TriggerSetpoint;
extern UI_16 RecruitmentTimer;
extern UI_16 RecruitmentElap;
extern t_datetime TimeStart;
extern t_datetime TimeEnd;
extern UI_16 FlowSetpoint;
extern FL_16 PIDOutReal;
extern UI_16 PIDOutInt;
extern UI_16 PIDOutPWM;
extern UI_16 PIDOutMotor;
extern UI_16 PeakSetpointPreAlarmHI;
extern UI_16 PeakSetpointAlarmHI;
extern UI_16 PeakSetpointPreAlarmLOW;
extern UI_16 PeakSetpointAlarmLOW;
extern UI_16 PeakSetpointHysteresisHI;
extern UI_16 PeakSetpointHysteresisLOW;
extern UI_16 PlateauSetpointPreAlarmHI;
extern UI_16 PlateauSetpointAlarmHI;
extern UI_16 PlateauSetpointPreAlarmLOW;
extern UI_16 PlateaukSetpointAlarmLOW;
extern UI_16 PlateaukSetpointHysteresisHI;
extern UI_16 PlateaukSetpointHysteresisLOW;
extern UI_16 PeepSetpointPreAlarmHI;
extern UI_16 PeepSetpointAlarmHI;
extern UI_16 PeepSetpointPreAlarmLOW;
extern UI_16 PeepSetpointAlarmLOW;
extern UI_16 PeepSetpointHysteresisHI;
extern UI_16 PeepSetpointHysteresisLOW;
extern UI_16 FrequencySetpointPreAlarmHI;
extern UI_16 FrequencySetpointAlarmHI;
extern UI_16 FrequencySetpointPreAlarmLOW;
extern UI_16 FrequencySetpointAlarmLOW;
extern UI_16 FrequencySetpointHysteresisHI;
extern UI_16 FrequencySetpointHysteresisLOW;
extern UI_16 TidalVolumeSetpointPreAlarmHI;
extern UI_16 TidalVolumeSetpointAlarmHI;
extern UI_16 TidalVolumeSetpointPreAlarmLOW;
extern UI_16 TidalVolumeSetpointAlarmLOW;
extern UI_16 TidalVolumeHystersisHI;
extern UI_16 TidalVolumeHystersisLOW;
extern UI_16 MinuteVolumeSetpointPreAlarmHI;
extern UI_16 MinuteVolumeSetpointAlarmHI;
extern UI_16 MinuteVolumeSetpointPreAlarmLOW;
extern UI_16 MinuteVolumeSetpointAlarmLOW;
extern UI_16 MinuteVolumeHysteresisHI;
extern UI_16 MinuteVolumeHysteresisLOW;
extern UI_16 TriggeVolumeSetpointPreAlarmHI;
extern UI_16 TriggerVolumeSetpointAlarmHI;
extern UI_16 TriggerVolumeSetpointPreAlarmLOW;
extern UI_16 TriggerVolumeSetpointAlarmLOW;
extern UI_16 TriggerVolumeHysteresisHI;
extern UI_16 TriggerVolumeHysteresisLOW;
extern UI_16 BatterySetpointPreAlarmHI;
extern UI_16 BatterySetpointAlarmHI;
extern UI_16 BatterySetpointPreAlarmLOW;
extern UI_16 BatterySetpointAlarmLOW;
extern UI_16 BatterySetpointHysteresisHI;
extern UI_16 BatterySetpointHysteresisLOW;
extern UI_16 Frecuency;
extern UI_16 Duty_Cycle;
extern UI_16 HOME_Position;
extern UI_16 ABSOLUTE_Position;
extern UI_16 ABSOLUTE_Velocity;
extern UI_16 RELATIVE_Distance;
extern UI_16 RELATIVE_Velocity;
extern UI_16 Velocity_Velocity;
extern UI_16 JOG_Velocity;
extern BOOL EmergencyStop;
extern BOOL TurnAxisHwHi;
extern BOOL BeaconLightRed;
extern BOOL BeaconLightOrange;
extern BOOL TurnAxisPulse;
extern BOOL TurnAxisDir;
extern BOOL TurnAxisEnable;
extern BOOL BeaconLightGreen;
extern BOOL Buzzer;
extern BOOL PeepValve;
extern BOOL TurnAxisHwLow;
extern BOOL ServoPend;
extern BOOL ServoAlarm;
extern UI_16 AtmosfericPressure;
extern UI_16 DiferentialPressure;
extern UI_8 ApiVersion_;
extern t_machineuuid MachineUuid;
extern UI_16 FirmwareVersion;
extern UI_16 Uptime15mCounter;
extern UI_8 MutedAlarmSeconds;
extern UI_16 CycleRpmLast30s;
extern t_cycleindications CycleIndications;
extern UI_16 CycleDuration;
extern t_ventilationflags VentilationFlags;
extern UI_16 VolumeSetting;
extern UI_16 RpmSetting;
extern UI_8 RampDegreesSetting;
extern UI_8 EiRatioSetting;
extern UI_8 RecruitTimer;
extern t_incomingframe IncomingFrame;
extern t_outgoingframe OutgoingFrame;
/* ['Common declarations for 'Code items generator'' end (DON'T REMOVE THIS LINE!)] */

/* ['Common declarations for 'Hierarchical State Chart generator'' begin (DON'T REMOVE THIS LINE!)] */
/* State ID data type */
typedef unsigned long STATE_T;

/* Declaration of code items used in state charts */
/* ['Common declarations for 'Hierarchical State Chart generator'' end (DON'T REMOVE THIS LINE!)] */
